EDIT - feature request #4246

Allow inserting a new node at the beginning or somewhere else in the Polytomous Key tree
06/10/2014 10:45 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.5

Severity: normal

Description

Currently one can add nodes only to the end, but we need something like insert or create a new "root" node.

First discuss best implementation with users: #4585 - DONE

Associated revisions

Revision 40bd7837 - 01/10/2017 01:57 PM - Katja Luther

fix #4246: move insert node and create new key node to one menu item with submenu

History

#1 - 06/17/2014 04:26 PM - Andreas Miiller
- Target version changed from TaxEditor Next Major Release to TaxEditor RELEASE 3.3.6

- Subject changed from Add a new node at the beginning or somewhere else in the tree to Allow adding a new node at the beginning or somewhere
else in the Polytomous Key tree

#2 - 08/06/2014 12:25 PM - Andreas Miller

- Keywords set to key,editor

#3 - 08/06/2014 12:26 PM - Andreas Miiller

- Keywords changed from key,editor to key,editor,key editor

#4 - 08/06/2014 12:27 PM - Andreas Miller

- Category set to taxeditor

#5 - 11/24/2014 01:29 PM - Cherian Mathew
- Target version deleted (TaxEditor RELEASE 3.4.0)

Moving tickets to 3.4.1 milestone

#6 - 03/16/2015 05:32 PM - Cherian Mathew

- Target version deleted ()

Moving tickets that were auto assigned to me to the unassigned milestone

#7 - 07/20/2015 03:05 PM - Andreas Miiller

- Assignee changed from c.mathew - to Andreas M(iller
- Target version deleted (Unassigned CDM tickets)

- Priority changed from New to Highest

- Subject changed from Allow adding a new node at the beginning or somewhere else in the Polytomous Key tree to Allow inserting a new node at the
beginning or somewhere else in the Polytomous Key tree

#8 - 10/08/2015 12:19 PM - Andreas Miuller

- Assignee changed from Andreas Miiller to k.luther -
- Target version changed from Reviewed Next Major Release to Unassigned CDM tickets

Users: we only need one more menu item: "add new key number number (before)" and add "(after)" to existing menu item

#9 - 10/05/2016 12:41 PM - Andreas Miiller
- Description updated

- Target version changed from Unassigned CDM tickets to Release 4.5

#10 - 01/10/2017 01:58 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|[40bd7837ec825e5caa98e20ae64592eab98c71c1.

#11 - 01/19/2017 02:07 PM - Andreas Miiller

- Private changed from Yes to No

#12 - 01/20/2017 02:27 PM - Katja Luther

- Status changed from Resolved to Closed

moved the two possiblities of add a node into one menu item
